package xyz.r0r5chach.dermy_app.fragments

import android.os.Bundle
import android.view.View
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import xyz.r0r5chach.dermy_app.LinksAdapter
import xyz.r0r5chach.dermy_app.R

class LinksFragment : Fragment(R.layout.fragment_links) {
    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        val list = view.findViewById<RecyclerView>(R.id.links_list)
        val links = resources.getStringArray(R.array.links)

        val adapter = LinksAdapter(links)
        list.layoutManager = LinearLayoutManager(context)
        list.adapter = adapter
    }
}
